
Redmine - Patch #12737

Patch for negative duration #12735

2013-01-04 15:14 - Daniel Felix

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues planning Estimated time: 0.00 hour

Target version:    

Description

See attachment for patch.

Related issues:

Related to Redmine - Defect #12735: Negative duration allowed Closed

History

#1 - 2013-01-05 17:13 - Jean-Philippe Lang

This patch also limits the value to 1000 hours. I'm not sure that it's desirable.

#2 - 2013-01-05 17:35 - Jean-Philippe Lang

- Status changed from New to Closed

See #12735.

#3 - 2013-01-05 21:23 - Daniel Felix

Yes you're right. I just added 1000 for the start as this seems to be more than enough for a single task. But you'r implementation is quite better. :-)

#4 - 2013-01-06 14:19 - Toshi MARUYAMA

- Target version deleted (2.2.1)

Files

no_negative_duration.diff 1.33 KB 2013-01-04 Daniel Felix
